witwit.coa {ade4} | R Documentation

## Internal Correspondence Analysis

### Description

`witwit.coa` performs an Internal Correspondence Analysis. `witwitsepan` gives the computation and the barplot of the eigenvalues for each separated analysis in an Internal Correspondence Analysis.

### Usage

    witwit.coa(dudi, row.blocks, col.blocks, scannf = TRUE, nf = 2)
    ## S3 method for class 'witwit'
    summary(object, ...)
    witwitsepan(ww, mfrow = NULL, csub = 2, plot = TRUE)

### Arguments

`dudi` | an object of class `coa`
`row.blocks` | a numeric vector indicating the row numbers for each block of rows
`col.blocks` | a numeric vector indicating the column numbers for each block of columns
`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes

`object` | an object of class `witwit`
`...` | further arguments passed to or from other methods

`ww` | an object of class `witwit`
`mfrow` | a vector of the form "c(nr,nc)", otherwise computed by a special own function 'n2mfrow'
`csub` | a character size for the sub-titles, used with `par("cex")*csub`
`plot` | if FALSE, numeric results are returned

### Value

returns a list of class `witwit`, `coa` and `dudi` (see as.dudi) containing

`rbvar` | a data frame with the within variances of the rows of the factorial coordinates
`lbw` | a data frame with the marginal weighting of the row classes
`cvar` | a data frame with the within variances of the columns of the factorial coordinates
`cbw` | a data frame with the marginal weighting of the column classes

### Author(s)

Daniel Chessel Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr Correction by Campo Elías PARDO cepardot@cable.net.co

### References

Cazes, P., Chessel, D. and Dolédec, S. (1988) L'analyse des correspondances internes d'un tableau partitionné : son usage en hydrobiologie. Revue de Statistique Appliquée, 36, 39–54.

### Examples

    data(ardeche)
    coa1 <- dudi.coa(ardeche$tab, scann = FALSE, nf = 4)
    ww <- witwit.coa(coa1, ardeche$row.blocks, ardeche$col.blocks, scann = FALSE)
    ww
    summary(ww)

    if(adegraphicsLoaded()) {
      g1 <- s.class(ww$co, ardeche$sta.fac, plab.cex = 1.5, ellipseSi = 0, paxes.draw = FALSE,
        plot = FALSE)
      g2 <- s.label(ww$co, plab.cex = 0.75, plot = FALSE)
      G <- superpose(g1, g2, plot = TRUE)

    } else {
      s.class(ww$co, ardeche$sta.fac, clab = 1.5, cell = 0, axesell = FALSE)
      s.label(ww$co, add.p = TRUE, clab = 0.75)
    }

    witwitsepan(ww, c(4, 6))

[Package ade4 version 1.7-13 Index]